### Method

# Ggit IndexEntryResolveUndo ref

#### Declaration [src]

    GgitIndexEntryResolveUndo*
    ggit_index_entry_resolve_undo_ref (
      GgitIndexEntryResolveUndo* entry
    )

#### Description [src]

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitIndexEntryResolveUndo`

A `GgitIndexEntryResolveUndo` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.